Skip to main content
GET
/
v1
/
transfers
List transfers
curl --request GET \
  --url https://api.leanrails.com/v1/transfers \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "tr_xxx",
      "object": "transfer",
      "amount": 123,
      "amount_reversed": 123,
      "currency": "<string>",
      "status": "<string>",
      "transfer_method": "<string>",
      "metadata": {},
      "created": 123,
      "livemode": true,
      "stripe_transfer_id": "<string>",
      "stripe_destination": "<string>",
      "destination_id": "<string>",
      "settlement_batch_id": "<string>",
      "description": "<string>",
      "arrival_date": "<string>",
      "failure_code": "<string>",
      "failure_message": "<string>",
      "reversed_at": 123
    }
  ],
  "has_more": true,
  "url": "/v1/transfers",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

status
string

Filter by transfer status.

Response

A list of Transfers.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/transfers"

next_cursor
string | null